<?php
/* Display a PNG Gantt.
 * This file needs to just do that, cause the content-type will be set to
 * image/png.
 *
 * This fonctionnality needs the JpGraph tool, a PHP4 Chart librairie,
 * released under the GPL.
 *
 * $Author: gokohnert $
 *
 * $Id: gantt_png.php,v 1.23 2004/03/13 12:36:08 gokohnert Exp $
 */

include_once 'webelements.p3';
include_once 'permission.p3';
include_once 'task.pinc';
include_once 'product.pinc';
include_once 'timetrack.pinc';

/* Check if user is allowed to use it */
check_user();
session_write_close();

load_jpgraph( array("jpgraph_gantt.php") );

if ( isset($_GET['id']) ) {
  $obj = GetObject($dbconn,$_GET['id']);
  $stop = 0;
} else {
  $msg = $lang['Err0048'];
  $stop = 1;
  $obj = $id;
}
if ($stop == 0) {
  gantt_draw($obj);
} else {
  echo $msg;
}

$dbconn->Close();

?>