<?php
/**
 * Copyright 1999 - 2003 by Gero Kohnert
 *
 * @modulegroup department
 * @module department_del
 * @package department
 */
 include_once 'webelements.p3';
 include_once 'permission.p3';
 include_once 'product.pinc';
 include_once 'appointment.pinc';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("department","del");

 $msg = "";
 $obj = new department($dbconn);

 if ( !isset($_GET['id']) ) {
   $msg .= "Could not delete department<br>";
 } else {
   $obj = $obj->read($_GET['id'],$obj);
 }

 if ( ! $obj->del_ok() ) {
   $msg = sprintf($lang['Err0023'],$lang[$obj->getType()]);
   $gotourl = $obj->getUrl() ;
 }


 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $msg = $obj->delete();
   $dbconn->Commit("WORK");

   $gotourl = "address_select.php" ;
 } else {
   $gotourl= addUrlParameter($gotourl,"id=". $id);
 }

 $gotourl = addMessage($gotourl,$msg,true);
 $gotourl = addSessionKey($gotourl,true);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". getBaseUrl() . $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: department_del.php,v 1.20.4.1 2004/07/26 19:54:58 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
