<?php
/**
 * Copyright 1999 - 2003 by Gero Kohnert
 *
 * @modulegroup installation
 * @module installation_del
 * @package installation
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include_once 'webelements.p3';
 include_once 'permission.p3';
 include_once 'product.pinc';
 include_once 'timetrack.pinc';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("installation","del");
 loadmodule("installation");

 $gotourl= "installation/installation_overview.php";
 $msg = "";

 $i = new installation($dbconn);

 if ( !isset($_GET['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$t->getType()]);
 } else {
   $i = $i->read($_GET['id'],$i);
   $gotourl = $i->product->getUrl();
 }
 if ( ! $i->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$i->getType()]);
   $gotourl = $i->getUrl();
 }
 if ($msg == "") {
   $dbconn->Begin("WORK");
   $msg .= $i->delete();
   $dbconn->Commit("WORK");
 }
 $gotourl = addMessage($gotourl,$msg,true);
 $gotourl = addSessionKey($gotourl,true);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". dirname(getBaseUrl()) ."/". $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: installation_del.php,v 1.11.4.1 2004/07/26 19:55:03 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
