<?php
/**
 * Copyright 1999 - 2003 by Gero Kohnert
 *
 * @modulegroup note
 * @module note_ins
 * @package note
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include_once 'webelements.p3';
 include_once 'permission.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("note","del");
 loadmodule("note");

 /* Check Input */
 $msg = "";
 $gotourl = "note/note_overview.php";

 $u = new note($dbconn);

 if ( !isset($_GET['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$u->getType()]) ."<br>";
 } else {
   $u = $u->read($_GET['id'],$u);
   $gotourl = $u->getUrl();
 }
 if ( $u->id < 1 ) {
   $msg .= sprintf($lang['Err0040'],$lang[$u->getType()]) ."<br>";
 }
 if ( ! $u->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$u->getType()]) ."<br>";
 }
 if ( $msg == "" ) {
   $u->read_reference();
   $gotourl = $u->ref->getURL();

   $dbconn->Begin("WORK");
   $msg .= $u->delete();
   $dbconn->Commit("WORK");
 }

 $gotourl = addMessage($gotourl,$msg,true);
 $gotourl = addSessionKey($gotourl,true);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". dirname(getBaseUrl()) ."/". $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: note_del.php,v 1.9.4.1 2004/07/26 19:55:05 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
