<?php
/**
 * Copyright 2004 by Gero Kohnert
 *
 * @modulegroup reminder
 * @module reminder_del
 * @package reminder
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include_once 'webelements.p3';
 include_once 'permission.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("reminder","del");
 loadmodule("reminder");

 /* Check Input */
 $msg = "";
 $gotourl = "reminder/reminder_overview.php";
 $obj = new reminder($dbconn);

 if ( !isset($_GET['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$obj->getType()]) ."<br>";
 } else {
   $obj = $obj->read($_GET['id'],$obj);
   $gotourl = $obj->getUrl();
   $obj->read_reference();
 }
 if ( ! $obj->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$obj->getType()]) ."<br>";
 }
 if ( $msg == "" ) {
   $gotourl = $obj->ref->getUrl();

   $dbconn->Begin("WORK");
   $msg .= $obj->delete();
   $dbconn->Commit("WORK");
 }

 $gotourl = addMessage($gotourl,$msg,true);
 $gotourl = addSessionKey($gotourl,true);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". dirname(getBaseUrl()) ."/". $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: reminder_del.php,v 1.1.2.2 2004/11/02 11:45:06 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
