<?php
/*
 * Copyright 2004 by Gero Kohnert
 *
 * @modulegroup reminder
 * @module reminder_select
 * @package reminder
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include_once 'webelements.p3';
 include_once 'permission.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("reminder","select");
# loadmodule("reminder");
 loadlayout();

 /**
  * display a reminder selection form
  */
 class reminder_select extends layout {
   /**
    *
    */
   Function info() {
     global $lang;

     echo "<br><br><center>\n";

     echo "<form name=\"remindersearch\" method=\"get\" action=\"reminder_overview.php\">\n";
     DoubleTableStart();
     echo "<tr>\n";
     echo "<th colspan=\"3\">". $lang['ReminderSearch'] ."</th>\n";
     echo "</tr><tr>\n";
     echo $this->showfieldc($lang['ReminderDesc']);
     echo " <td align=\"center\">&nbsp;<input type=\"text\" value=\"\" name=\"name\"></td>\n";
     echo " <td align=\"center\">\n";
     echo " <input type=\"submit\" value=\"". $lang['Search'] ."\"></td>\n";
     echo "</tr>\n";
     DoubleTableEnd();
     hiddenFormElements();
     echo $this->getHidden();
     echo "</form>\n";
     echo "</center>\n";
     echo $this->setfocus("remindersearch.name");
   }
   /**
    * navigate
    */
   Function navigate() {
   }
   /**
    * prepare
    */
   Function prepare() {
     global $msg,$lang;

     $this->name = $lang['ReminderSearch'];

     if ( ! $this->user->feature_ok(usereminder,PERM_SEL) ) {
       $msg .= sprintf($lang['Err0022'],"'". $this->name ."'");
       $this->stop = true;
     }

   }
 }

 $l = new reminder_select($current_user);
 $l->display();
 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: reminder_select.php,v 1.1 2004/03/14 19:09:45 gokohnert Exp $
    $Author: gokohnert $
-->